<?php
namespace nur\v\plugins;

/**
 * Class setfocusIdPlugin: Sélectionner un élément de formulaire par son id.
 * si $id===null, ne rien sélectionner
 */
class setfocusIdPlugin extends setfocusPlugin {
  function __construct(?string $id, ?bool $cond=null, bool $select=true) {
    if ($id !== null) $id = "#$id";
    else $cond = false;
    parent::__construct($id, $cond, $select);
  }
}
